---
title: 'Get Loyalty Multipliers'
description: 'Get Loyalty Multipliers'
openapi: GET /api/loyalty/multipliers
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/loyalty/multipliers` — query parameters: `websiteId`, `organizationId`, `walletAddress`, `userId`, `startingAfter`, `limit`, `includeDeleted`, `walletGroupIdentifier`, `externalIdentifier`, `userGroupExternalIdentifier`, `userGroupId`

`GET https://admin.snagsolutions.io/api/loyalty/multipliers`

Get Loyalty Multipliers

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Query parameters

- `websiteId` (string)
- `organizationId` (string)
- `walletAddress` (string)
- `userId` (string)
- `startingAfter` (string)
- `limit` (integer)
- `includeDeleted` (string)
- `walletGroupIdentifier` (string)
- `externalIdentifier` (string)
- `userGroupExternalIdentifier` (string)
- `userGroupId` (string)

## Response 200

200
  - response (object)
    - `data` (array, required)
      - `items` (object) — Schema for loyalty multiplier
        - `id` (string, uuid, required)
        - `userId` (string, uuid, required)
        - `websiteId` (string, uuid, required)
        - `organizationId` (string, uuid, required)
        - `multiplier` (number, required)
        - `title` (string, required)
        - `description` (string, required)
        - `externalIdentifier` (string, required)
        - `createdAt` (string, required)
        - `updatedAt` (string, required)
        - `deletedAt` (string, required)
        - `user` (object, required) — Schema for a loyalty multiplier user
          - `id` (string, uuid, required)
          - `walletAddress` (string, required)
        - `loyaltyRuleId` (string, uuid)
    - `hasNextPage` (boolean, required)

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
